TUCoPS :: Linux :: Mandrake/Mandriva :: bu-831.htm

ocaml-mysql vulns

Better a bottle in front of me than a frontal lobotomy.

ocaml-mysql
ocaml-mysql




-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

 _______________________________________________________________________

 Mandriva Linux Security Advisory                         MDVSA-2009:279
http://www.mandriva.com/security/ 
 _______________________________________________________________________

 Package : ocaml-mysql
 Date    : October 15, 2009
 Affected: Enterprise Server 5.0
 _______________________________________________________________________

 Problem Description:

 A vulnerability has been found and corrected in ocaml-mysql:
 
 It was discovered that mysql-ocaml, OCaml bindings for MySql,
 was missing a function to call mysql_real_escape_string(). This
 is needed, because mysql_real_escape_string() honours the charset
 of the connection and prevents insufficient escaping, when certain
 multibyte character encodings are used. The added function is called
 real_escape() and takes the established database connection as a first
 argument. The old escape_string() was kept for backwards compatibility
 (CVE-2009-2942).
 
 This update fixes this vulnerability.
 _______________________________________________________________________

 References:

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-2942 
http://www.debian.org/security/2009/dsa-1910 
 _______________________________________________________________________

 Updated Packages:

 Mandriva Enterprise Server 5:
 e61bb4eb829250affa5eff14572279ba  mes5/i586/ocaml-mysql-1.0.4-9.1mdvmes5.i586.rpm
 3b1ee1b2c527f9ee28ad821aac600aed  mes5/i586/ocaml-mysql-devel-1.0.4-9.1mdvmes5.i586.rpm 
 64960c08b893271da2054f9640997ddc  mes5/SRPMS/ocaml-mysql-1.0.4-9.1mdvmes5.src.rpm

 Mandriva Enterprise Server 5/X86_64:
 899111d2a4fe395bd2cef4a743d5636a  mes5/x86_64/ocaml-mysql-1.0.4-9.1mdvmes5.x86_64.rpm
 5a73d1dabe89856ca97b50efd89330d5  mes5/x86_64/ocaml-mysql-devel-1.0.4-9.1mdvmes5.x86_64.rpm 
 64960c08b893271da2054f9640997ddc  mes5/SRPMS/ocaml-mysql-1.0.4-9.1mdvmes5.src.rpm
 _______________________________________________________________________

 To upgrade automatically use MandrivaUpdate or urpmi.  The verification
 of md5 checksums and GPG signatures is performed automatically for you.

 All packages are signed by Mandriva for security.  You can obtain the
 GPG public key of the Mandriva Security Team by executing:

  gpg --recv-keys --keyserver pgp.mit.edu 0x22458A98

 You can view other update advisories for Mandriva Linux at:

http://www.mandriva.com/security/advisories 

 If you want to report vulnerabilities, please contact

  security_(at)_mandriva.com
 _______________________________________________________________________

 Type Bits/KeyID     Date       User ID
 pub  1024D/22458A98 2000-07-10 Mandriva Security Team
  
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFK1zlvmqjQ0CJFipgRAonOAJ9fxKkKDTcx1OPHzKWAUo0u0cM24wCeItst
TQqvyVKe9hpF7y8n4xAmiuM=HQNT
-----END PGP SIGNATURE-----



TUCoPS is optimized to look best in Firefox® on a widescreen monitor (1440x900 or better).
Site design & layout copyright © 1986-2014 AOH